/**
  *  \file gfx/gfxaa.h
  *  \brief Anti-Aliased Graphics Primitives
  *
  *  (c) 2001-2022 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GFX_GFXAA_H
#define PCC_V2_GFX_GFXAA_H

class GfxCanvas;
struct GfxPoint;
class GfxContext;

void drawLineAA(GfxContext& ctx, const GfxPoint p1, const GfxPoint p2);
void drawCircleAA(GfxContext& ctx, const GfxPoint pt, int r);

#endif
